

export function BulbBox({title, children}:{title: string, children: React.ReactNode}){
    return(
        <aside className="hint-container tip">
          <p className="hint-container-title">
            {title}
          </p>
          <div className="v-card-text">
            <p>
                {children}
            </p>
          </div>
        </aside>
    )
}

export function QaBox({q, a}:{q: string, a: React.ReactNode}){
  return(
     <div className="qabox">
      <div className="question-bubble">
        <div className="row">
        {q}
        </div>
      </div>
      <div className="question-bubble">
        <div className="row">
        {a}
        </div>
      </div>
     </div>
  )
}
export function SpecialQaBox({q, children}:{q: string, children: React.ReactNode}){
  return(
     <div className="qabox">
      <div className="question-bubble">
        <div className="row">
        {q}
        </div>
      </div>
      <div className="question-bubble">
        <div className="row">
        {children}
        </div>
      </div>
     </div>
  )
}



export function InfoBox({title, children, id}:{title: string, children: React.ReactNode, id: string}){
    return(
        <aside className="hint-container info" id={id}>
          <p className="hint-container-title">
            {title}
          </p>
          <div className="v-card-text">
            <p>
                {children}
            </p>
          </div>
        </aside>
    )
}
export function WarnBox({title, children}:{title: string, children: React.ReactNode}){
    return(
        <aside className="hint-container warning">
          <p className="hint-container-title">
            {title}
          </p>
          <div className="v-card-text">
            <p>
                {children}
            </p>
          </div>
        </aside>
    )
}