import { useEffect } from "react";
import { useLocation } from "react-router-dom";
import { openFromOtherPage } from "../utils/openFromOtherpAge";
import { H2 } from "../components/headings";

export function Team() {
  const location = useLocation();

    useEffect(() => {
        const params = new URLSearchParams(location.search);
        const collapseId = params.get('collapseId');
        const tabId = params.get('tab');

        // Scroll to the section specified by collapseId
        if (collapseId) {
            const collapseElement = document.getElementById(collapseId);
            if (collapseElement) {
                const elementTop = collapseElement.getBoundingClientRect().top + window.pageYOffset;
                const offset = window.innerHeight / 2 - collapseElement.offsetHeight / 2;
                const scrollPosition = elementTop - offset;

                window.scrollTo({
                    top: scrollPosition,
                    behavior: 'smooth',
                });
            }
        }

        // Open the tab specified by tabId
        if (tabId) {
            openFromOtherPage(tabId)({ currentTarget: document.getElementById(tabId)! });
        }
    }, [location.search]);


  return (
    <>
      <br/>
      <br/>
      <H2 text="Members" id="members"/>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Anna Baack"
          job="Job"
          > 
            .
          </Steckbrief>
        </div>
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Asal Sahami Moghaddam"
          job="Job"
          >
        
            .
          </Steckbrief>
        </div>
        <div className="col">
        <Steckbrief 
        url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
        name="Christian Michalek"
        job="Job"
        > 
          .
        </Steckbrief>
        </div>
      </div>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Isabell Guckes"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
          <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Kai Kanthak"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
        name="Kathleen Susat"
        job="Job"
        > 
          .
        </Steckbrief>
        </div>
      </div>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Kaya Lange"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
          <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Liliana Sanfilippo"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
        name="Lisa Wiesner"
        job="Job"
        > 
          .
        </Steckbrief>
        </div>
      </div>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Malte Lenger"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
          <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Michael Gröning"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
        name="Philip Mundt"
        job="Job"
        > 
          .
        </Steckbrief>
        </div>
      </div>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Vera Köhler"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
         
        </div>
        <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Vincent Stöckl"
          job="Job"
          > 
            . 
          </Steckbrief>
        
        </div>
      </div>
      <H2 text="Instructor" id="instructor"/>
      <div className="row center">
      <div className="col">
         </div>
         <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Sinan Zimmermann"
          job="Job"
          > 
            . 
          </Steckbrief>
        
        </div>
         <div className="col">
         
         </div>
      </div>
      
      <H2 text="Advisors" id="Advisors"/>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Felicitas Zimmer"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col">
         
        </div>
        <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Lucas Krause"
          job="Job"
          > 
            . 
          </Steckbrief>
        
        </div>
      </div>
      <H2 text="Principal Investigators" id="PIS"/>
      <div className="row center">
        <div className="col">
          <Steckbrief 
          url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Jörn Kalinowski"
          job="Job"
          > 
            . 
          </Steckbrief>
        </div>
        <div className="col"></div>
        <div className="col">
        <Steckbrief url="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"
          name="Kristian Müller"
          job="Job"
          > 
            . 
          </Steckbrief>
        
        </div>
      </div>
    </>
  );
}


interface SteckProps{
  name?: string; 
  url: string; 
  children: React.ReactNode; 
  job: string,

}

function Steckbrief({children, url, name,job }: SteckProps){
  return(
    <>
    <div className="row steckbrief">
    <div className="col-7 lnp center">
      <img src={url} className="img-round"></img>
    </div>
    <div className="col teamcolzwei">
      <div className="center">
        <p className="team-name">{name}</p>
        <img className="team-socials" src="https://static.igem.wiki/teams/5247/design/icons/linkedin.png"/>
      </div>
      <div className="row">
        {job}
      </div>  
    </div>
    </div>
    <div className="row" style={{marginTop: "1rem"}}>
      {children}
    </div>
      
    </>
  )
}
